Has anyone migrated EXM to a 9.x instance from prior than EXM 3.5?

Or do we have to upgrade to 3.5 first and then migrate into a 9.x instance?

Thanks,

Mike